## podman 5.4.2+ds1

=== Makefile ===
###
### Makefile Navigation
###
#
# This file is organized based on approximate end-to-end workflow:
#
# 1.  Variables and common definitions are located at the top
#     to make finding them quicker.
# 2.  Main entry-point targets, like "default", "all", and "help"
# 3.  Targets for code formatting and validation
# 4.  Primary build targets, like podman and podman-remote
# 5.  Secondary build targets, shell completions, static and multi-arch.
# 6.  Targets that format and build documentation
# 7.  Testing targets
# 8.  Release and package-building targets
# 9.  Targets that install tools, utilities, binaries and packages
# 10. Uninstall / Cleanup targets
#
###
### Variables & Definitions
###

# Default shell `/bin/sh` has different meanings depending on the platform.
SHELL := $(shell command -v bash;)
GO ?= go
GO_LDFLAGS:= $(shell if $(GO) version|grep -q gccgo ; then echo "-gccgoflags"; else echo "-ldflags"; fi)
GOCMD = CGO_ENABLED=$(CGO_ENABLED) GOOS=$(GOOS) GOARCH=$(GOARCH) $(GO)
COVERAGE_PATH ?= .coverage
DESTDIR ?=
EPOCH_TEST_COMMIT ?= $(shell git merge-base $${DEST_BRANCH:-main} HEAD)
HEAD ?= HEAD
PROJECT := github.com/containers/podman
GIT_BASE_BRANCH ?= origin/main
LIBPOD_INSTANCE := libpod_dev
PREFIX ?= /usr/local
RELEASE_PREFIX = /usr
BINDIR ?= ${PREFIX}/bin
LIBEXECDIR ?= ${PREFIX}/libexec
LIBEXECPODMAN ?= ${LIBEXECDIR}/podman
MANDIR ?= ${PREFIX}/share/man
SHAREDIR_CONTAINERS ?= ${PREFIX}/share/containers
ETCDIR ?= /etc
LIBDIR ?= ${PREFIX}/lib
TMPFILESDIR ?= ${LIBDIR}/tmpfiles.d
USERTMPFILESDIR ?= ${PREFIX}/share/user-tmpfiles.d
MODULESLOADDIR ?= ${LIBDIR}/modules-load.d
SYSTEMDDIR ?= ${LIBDIR}/systemd/system
USERSYSTEMDDIR ?= ${LIBDIR}/systemd/user
SYSTEMDGENERATORSDIR ?= ${LIBDIR}/systemd/system-generators
USERSYSTEMDGENERATORSDIR ?= ${LIBDIR}/systemd/user-generators
REMOTETAGS ?= remote exclude_graphdriver_btrfs btrfs_noversion exclude_graphdriver_devicemapper containers_image_openpgp
BUILDTAGS ?= \
	$(shell hack/apparmor_tag.sh) \
	$(shell hack/btrfs_installed_tag.sh) \
	$(shell hack/btrfs_tag.sh) \
	$(shell hack/systemd_tag.sh) \
	$(shell hack/libsubid_tag.sh) \
	exclude_graphdriver_devicemapper \
	seccomp
# allow downstreams to easily add build tags while keeping our defaults
BUILDTAGS += ${EXTRA_BUILDTAGS}
# N/B: This value is managed by Renovate, manual changes are
# possible, as long as they don't disturb the formatting
# (i.e. DO NOT ADD A 'v' prefix!)
GOLANGCI_LINT_VERSION := 1.64.4
PYTHON ?= $(shell command -v python3 python|head -n1)
PKG_MANAGER ?= $(shell command -v dnf yum|head -n1)
# ~/.local/bin is not in PATH on all systems
PRE_COMMIT = $(shell command -v bin/venv/bin/pre-commit ~/.local/bin/pre-commit pre-commit | head -n1)
ifeq ($(shell uname -s),FreeBSD)
SED=gsed
GREP=ggrep
MAN_L=	mandoc
# FreeBSD needs CNI until netavark is supported
BUILDTAGS += cni
else
SED=sed
GREP=grep
MAN_L=	man -l
endif

# This isn't what we actually build; it's a superset, used for target
# dependencies. Basically: all *.go and *.c files, except *_test.go,
# and except anything in a dot subdirectory. If any of these files is
# newer than our target (bin/podman{,-remote}), a rebuild is
# triggered.
SOURCES = $(shell find . -path './.*' -prune -o \( \( -name '*.go' -o -name '*.c' \) -a ! -name '*_test.go' \) -print)

BUILDTAGS_CROSS ?= containers_image_openpgp exclude_graphdriver_btrfs exclude_graphdriver_devicemapper exclude_graphdriver_overlay
CONTAINER_RUNTIME := $(shell command -v podman 2> /dev/null || echo docker)
OCI_RUNTIME ?= ""

# The 'sort' below is crucial: without it, 'make docs' behaves differently
# on the first run than on subsequent ones, because the generated .md
MANPAGES_SOURCE_DIR = docs/source/markdown
MANPAGES_MD_IN ?= $(wildcard $(MANPAGES_SOURCE_DIR)/*.md.in)
MANPAGES_MD_GENERATED ?= $(MANPAGES_MD_IN:%.md.in=%.md)
MANPAGES_MD ?= $(sort $(wildcard $(MANPAGES_SOURCE_DIR)/*.md) $(MANPAGES_MD_GENERATED) $(MANPAGES_SOURCE_DIR)/podman-troubleshooting.7.md $(MANPAGES_SOURCE_DIR)/podman-rootless.7.md)
MANPAGES ?= $(MANPAGES_MD:%.md=%)
MANPAGES_DEST ?= $(subst markdown,man, $(subst source,build,$(MANPAGES)))

BASHINSTALLDIR=${PREFIX}/share/bash-completion/completions
ZSHINSTALLDIR=${PREFIX}/share/zsh/site-functions
FISHINSTALLDIR=${PREFIX}/share/fish/vendor_completions.d

SELINUXOPT ?= $(shell test -x /usr/sbin/selinuxenabled && selinuxenabled && echo -Z)


COMMIT_NO ?= $(shell git rev-parse HEAD 2> /dev/null || true)
GIT_COMMIT ?= $(if $(shell git status --porcelain --untracked-files=no),$(call err_if_empty,COMMIT_NO)-dirty,$(COMMIT_NO))
DATE_FMT = %s
ifdef SOURCE_DATE_EPOCH
	BUILD_INFO ?= $(shell date -u -d "@$(call err_if_empty,SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
	BUILD_INFO ?= $(shell date "+$(DATE_FMT)")
endif
LIBPOD := ${PROJECT}/v5/libpod
GOFLAGS ?= -trimpath
LDFLAGS_PODMAN ?= \
	$(if $(GIT_COMMIT),-X $(LIBPOD)/define.gitCommit=$(GIT_COMMIT),) \
	$(if $(BUILD_INFO),-X $(LIBPOD)/define.buildInfo=$(BUILD_INFO),) \
	$(if $(BUILD_ORIGIN),-X "$(LIBPOD)/define.buildOrigin=$(BUILD_ORIGIN)",) \
	-X $(LIBPOD)/config._installPrefix=$(PREFIX) \
	-X $(LIBPOD)/config._etcDir=$(ETCDIR) \
	-X $(PROJECT)/v5/pkg/systemd/quadlet._binDir=$(BINDIR) \
	-X github.com/containers/common/pkg/config.additionalHelperBinariesDir=$(HELPER_BINARIES_DIR)\
	$(EXTRA_LDFLAGS)
LDFLAGS_PODMAN_STATIC ?= \
	$(LDFLAGS_PODMAN) \
	-extldflags=-static
#Update to LIBSECCOMP_COMMIT should reflect in Dockerfile too.
LIBSECCOMP_COMMIT := v2.3.3
# Rarely if ever should integration tests take more than 50min,
# caller may override in special circumstances if needed.
GINKGOTIMEOUT ?= -timeout=90m
# By default, run test/e2e
GINKGOWHAT ?= test/e2e/.
GINKGO_PARALLEL=y
GINKGO ?= ./test/tools/build/ginkgo

# Allow control over some Ginkgo parameters
GINKGO_FLAKE_ATTEMPTS ?= 0
GINKGO_NO_COLOR ?= y

# Conditional required to produce empty-output if binary not built yet.
RELEASE_VERSION = $(shell if test -x test/version/version; then test/version/version; fi)
RELEASE_NUMBER = $(shell echo "$(call err_if_empty,RELEASE_VERSION)" | sed -e 's/^v\(.*\)/\1/')

# If non-empty, logs all output from server during remote system testing
PODMAN_SERVER_LOG ?=

# Ensure GOBIN is not set so the default (`go env GOPATH`/bin) is used.
override undefine GOBIN
# This must never include the 'hack' directory
export PATH := $(shell $(GO) env GOPATH)/bin:$(PATH)

GOMD2MAN ?= ./test/tools/build/go-md2man

# There are many possibly unexpected places where podman is used.  For example
# by OpenWRT for routers and other similar small "edge" devices.  Testing builds
# for otherwise non-mainstream architectures ensures we catch platform-specific
# toolchain shenanigans early, for example:
# https://github.com/containers/podman/issues/8782
CROSS_BUILD_TARGETS := \
	bin/podman.cross.linux.amd64 \
	bin/podman.cross.linux.ppc64le \
	bin/podman.cross.linux.arm \
	bin/podman.cross.linux.arm64 \
	bin/podman.cross.linux.386 \
	bin/podman.cross.linux.s390x \
	bin/podman.cross.linux.loong64 \
	bin/podman.cross.linux.mips \
	bin/podman.cross.linux.mipsle \
	bin/podman.cross.linux.mips64 \
	bin/podman.cross.linux.mips64le \
	bin/podman.cross.linux.riscv64 \
	bin/podman.cross.freebsd.amd64 \
	bin/podman.cross.freebsd.arm64

# Dereference variable $(1), return value if non-empty, otherwise raise an error.
err_if_empty = $(if $(strip $($(1))),$(strip $($(1))),$(error Required variable $(1) value is undefined, whitespace, or empty))

# Podman does not work w/o CGO_ENABLED, except in some very specific cases.
# Windows and Mac (both podman-remote client only) require CGO_ENABLED=0.
CGO_ENABLED ?= 1
# Default to the native OS type and architecture unless otherwise specified
NATIVE_GOOS := $(shell env -u GOOS $(GO) env GOOS)
GOOS ?= $(call err_if_empty,NATIVE_GOOS)
# Default to the native architecture type
NATIVE_GOARCH := $(shell env -u GOARCH $(GO) env GOARCH)
GOARCH ?= $(NATIVE_GOARCH)
ifeq ($(call err_if_empty,GOOS),windows)
BINSFX := .exe
SRCBINDIR := bin/windows
CGO_ENABLED := 0
else ifeq ($(GOOS),darwin)
BINSFX :=
SRCBINDIR := bin/darwin
CGO_ENABLED := 0
else ifeq ($(GOOS),freebsd)
BINSFX := -remote
SRCBINDIR := bin
RELEASE_PREFIX = /usr/local
else
BINSFX := -remote
SRCBINDIR := bin
endif
# Necessary for nested-$(MAKE) calls and docs/remote-docs.sh
export GOOS GOARCH CGO_ENABLED BINSFX SRCBINDIR

# Need to use CGO for mDNS resolution, but cross builds need CGO disabled
# See https://github.com/golang/go/issues/12524 for details
DARWIN_GCO := 0
ifeq ($(call err_if_empty,NATIVE_GOOS),darwin)
ifdef HOMEBREW_PREFIX
	DARWIN_GCO := 1
endif
endif

# gvisor-tap-vsock version for gvproxy.exe and win-sshproxy.exe downloads
# the upstream project ships pre-built binaries since version 0.7.1
GV_VERSION=v0.8.4

###
### Primary entry-point targets
###

.PHONY: default
default: all

.PHONY: all
all: binaries docs

.PHONY: binaries
ifeq ($(shell uname -s),FreeBSD)
binaries: podman podman-remote ## Build podman and podman-remote binaries
else ifneq (, $(findstring $(GOOS),darwin windows))
binaries: podman-remote ## Build podman-remote (client) only binaries
else
binaries: podman podman-remote podman-testing podmansh rootlessport quadlet ## Build podman, podman-remote and rootlessport binaries quadlet
endif

# Extract text following double-# for targets, as their description for
# the `help` target.  Otherwise these simple-substitutions are resolved
# at reference-time (due to `=` and not `=:`).
_HLP_TGTS_RX = '^[[:print:]]+:.*?\#\# .*$$'
_HLP_TGTS_CMD = $(GREP) -E $(_HLP_TGTS_RX) $(MAKEFILE_LIST)
_HLP_TGTS_LEN = $(shell $(call err_if_empty,_HLP_TGTS_CMD) | cut -d : -f 1 | wc -L 2>/dev/null || echo "PARSING_ERROR")
# Separated condition for Darwin
ifeq ($(shell uname -s)$(_HLP_TGTS_LEN),DarwinPARSING_ERROR)
ifneq (,$(wildcard /usr/local/bin/gwc))
_HLP_TGTS_LEN = $(shell $(call err_if_empty,_HLP_TGTS_CMD) | cut -d : -f 1 | gwc -L)
else
$(warning On Darwin (MacOS) installed coreutils is necessary)
$(warning Use 'brew install coreutils' command to install coreutils on your system)
endif
endif
_HLPFMT = "%-$(call err_if_empty,_HLP_TGTS_LEN)s %s\n"
.PHONY: help
help: ## (Default) Print listing of key targets with their descriptions
	@printf $(_HLPFMT) "Target:" "Description:"
	@printf $(_HLPFMT) "--------------" "--------------------"
	@$(_HLP_TGTS_CMD) | sort | \
		awk 'BEGIN {FS = ":(.*)?## "}; \
			{printf $(_HLPFMT), $$1, $$2}'

###
### Linting/Formatting/Code Validation targets
###

.PHONY: .gitvalidation
.gitvalidation: .install.gitvalidation
	@echo "Validating vs commit '$(call err_if_empty,EPOCH_TEST_COMMIT)'"
	GIT_CHECK_EXCLUDE="./vendor:./test/tools/vendor:docs/make.bat:test/buildah-bud/buildah-tests.diff:test/e2e/quadlet/remap-keep-id2.container" ./test/tools/build/git-validation -run short-subject -range $(EPOCH_TEST_COMMIT)..$(HEAD)

.PHONY: lint
lint: golangci-lint
ifeq ($(PRE_COMMIT),)
	@echo "FATAL: pre-commit was not found, make .install.pre-commit to installing it." >&2
	@exit 2
endif
	$(PRE_COMMIT) run -a

.PHONY: golangci-lint
golangci-lint: .install.golangci-lint
	hack/golangci-lint.sh run

.PHONY: test/checkseccomp/checkseccomp
test/checkseccomp/checkseccomp: $(wildcard test/checkseccomp/*.go)
	$(GOCMD) build $(BUILDFLAGS) $(GO_LDFLAGS) '$(LDFLAGS_PODMAN)' -tags "$(BUILDTAGS)" -o $@ ./test/checkseccomp

.PHONY: test/testvol/testvol
test/testvol/testvol: $(wildcard test/testvol/*.go)
	$(GOCMD) build -o $@ ./test/testvol

.PHONY: volume-plugin-test-img
volume-plugin-test-img:
	./bin/podman build --network none -t quay.io/libpod/volume-plugin-test-img:$$(date +%Y%m%d) -f ./test/testvol/Containerfile .

.PHONY: test/goecho/goecho
test/goecho/goecho: $(wildcard test/goecho/*.go)
	$(GOCMD) build $(BUILDFLAGS) $(GO_LDFLAGS) '$(LDFLAGS_PODMAN)' -o $@ ./test/goecho

# The ./test/version/version binary is executed in other make steps
# so we have to make sure the version binary is built for NATIVE_GOARCH.
test/version/version: version/version.go

=== contrib/pkginstaller/Makefile ===
SHELL := bash

ARCH ?= aarch64
ifeq ($(ARCH), aarch64)
	GOARCH:=arm64
else
	GOARCH:=$(ARCH)
endif
GVPROXY_VERSION ?= 0.8.4
VFKIT_VERSION ?= 0.6.0
KRUNKIT_VERSION ?= 0.1.4
GVPROXY_RELEASE_URL ?= https://github.com/containers/gvisor-tap-vsock/releases/download/v$(GVPROXY_VERSION)/gvproxy-darwin
VFKIT_RELEASE_URL ?= https://github.com/crc-org/vfkit/releases/download/v$(VFKIT_VERSION)/vfkit-unsigned
KRUNKIT_RELEASE_URL ?= https://github.com/containers/krunkit/releases/download/v$(KRUNKIT_VERSION)/krunkit-podman-unsigned-$(KRUNKIT_VERSION).tgz
PACKAGE_DIR ?= out/packaging
TMP_BIN ?= tmp-bin
PACKAGE_ROOT ?= root
PKG_NAME := podman-installer-macos-$(GOARCH).pkg

default: pkginstaller

podman_version:
	make -B -C ../../ test/version/version

$(TMP_BIN)/gvproxy:
	mkdir -p $(TMP_BIN)
	cd $(TMP_BIN) && curl -sLo gvproxy $(GVPROXY_RELEASE_URL)

$(TMP_BIN)/vfkit:
	mkdir -p $(TMP_BIN)
	cd $(TMP_BIN) && curl -sLo vfkit $(VFKIT_RELEASE_URL)

$(TMP_BIN)/krunkit.tgz:
	mkdir -p $(TMP_BIN)
	cd $(TMP_BIN) && curl -sLo krunkit.tgz $(KRUNKIT_RELEASE_URL)

packagedir: podman_version package_root Distribution welcome.html
	mkdir -p $(PACKAGE_DIR)
	cp -r Resources $(PACKAGE_DIR)/
	cp welcome.html $(PACKAGE_DIR)/Resources/
	cp Distribution $(PACKAGE_DIR)/
	cp -r scripts $(PACKAGE_DIR)/
	cp -r $(PACKAGE_ROOT) $(PACKAGE_DIR)/
	cp package.sh $(PACKAGE_DIR)/
	cd $(PACKAGE_DIR) && pkgbuild --analyze --root ./root component.plist
	../../test/version/version > $(PACKAGE_DIR)/VERSION
	echo -n $(ARCH) > $(PACKAGE_DIR)/ARCH
	cp ../../LICENSE $(PACKAGE_DIR)/Resources/LICENSE.txt
	cp vfkit.entitlements $(PACKAGE_DIR)/
	cp krunkit.entitlements $(PACKAGE_DIR)/

package_root: clean-pkgroot $(TMP_BIN)/gvproxy $(TMP_BIN)/vfkit $(TMP_BIN)/krunkit.tgz
	mkdir -p $(PACKAGE_ROOT)/podman/bin
	cp $(TMP_BIN)/gvproxy $(PACKAGE_ROOT)/podman/bin/
	cp $(TMP_BIN)/vfkit $(PACKAGE_ROOT)/podman/bin/
	tar xf $(TMP_BIN)/krunkit.tgz -C $(PACKAGE_ROOT)/podman
	chmod a+x $(PACKAGE_ROOT)/podman/bin/*
	# Leaving for future considerations
	# mkdir $(PACKAGE_ROOT)/podman/config
	# cp ../../pkg/machine/ocipull/policy.json $(PACKAGE_ROOT)/podman/config/policy.json

%: %.in podman_version
	@sed -e 's/__VERSION__/'$(shell ../../test/version/version)'/g' $< >$@

pkginstaller: packagedir
	cd $(PACKAGE_DIR) && ./package.sh ..

_notarize: pkginstaller
	xcrun notarytool submit --apple-id $(NOTARIZE_USERNAME) --password $(NOTARIZE_PASSWORD) --team-id=$(NOTARIZE_TEAM) -f json --wait out/$(PKG_NAME)

notarize: _notarize
	xcrun stapler staple out/$(PKG_NAME)

.PHONY: clean clean-pkgroot
clean:
	rm -rf $(TMP_BIN) $(PACKAGE_ROOT) $(PACKAGE_DIR) out Distribution welcome.html ../../test/version/version

clean-pkgroot:
	rm -rf $(PACKAGE_ROOT) $(PACKAGE_DIR) Distribution welcome.html

=== test/apiv2/python/requirements.txt ===
requests-mock~=1.12.1
requests~=2.32.3
setuptools~=75.8.0
python-dateutil~=2.9.0
PyYAML~=6.0.0
openapi-schema-validator~=0.6.2
pytest==8.3.4
docker~=6.1.0

=== debian/control ===
Source: podman
Section: admin
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Reinhard Tartler <siretart@tauware.de>,
           Faidon Liambotis <paravoid@debian.org>
Build-Depends: bash-completion,
               conmon,
               debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-dbus-dev,
               golang-github-buger-goterm-dev,
               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
               golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
               golang-github-containers-buildah-dev (>= 1.39.3),
               golang-github-containers-common-dev (>= 0.62.2),
               golang-github-containers-conmon-dev,
               golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
               golang-github-containers-image-dev (>= 5.34.2),
               golang-github-containers-ocicrypt-dev,
               golang-github-containers-psgo-dev,
               golang-github-containers-storage-dev (>= 1.57.2),
               golang-github-coreos-bbolt-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-stream-metadata-go-dev,
               golang-github-crc-org-crc-dev,
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-digitalocean-go-qemu-dev,
               golang-github-docker-docker-dev (>> 26.1),
               golang-github-docker-go-connections-dev,
               golang-github-docker-go-plugins-helpers-dev,
               golang-github-docker-go-units-dev,
               golang-github-fullsailor-pkcs7-dev,
               golang-github-go-logr-logr-dev,
               golang-github-google-shlex-dev,
               golang-github-google-uuid-dev,
               golang-github-gorilla-schema-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-json-iterator-go-dev,
               golang-github-kevinburke-ssh-config-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-mdlayher-vsock-dev,
               golang-github-moby-term-dev,
               golang-github-nxadm-tail-dev,
               golang-github-onsi-ginkgo-v2-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>= 1.1.0),
               golang-github-opencontainers-runc-dev (>= 1.1.12+ds1-4),
               golang-github-opencontainers-runtime-tools-dev (>= 0.9.0+dfsg-3~),
               golang-github-opencontainers-selinux-dev (>= 1.11~),
               golang-github-rootless-containers-rootlesskit-dev (>> 2),
               golang-github-shirou-gopsutil-dev,
               golang-github-vbauerster-mpb-dev (>= 8),
               golang-github-vishvananda-netlink-dev,
               golang-go,
               golang-gopkg-inf.v0-dev,
               golang-gopkg-yaml.v3-dev,
               golang-k8s-sigs-yaml-dev,
               golang-toml-dev,
               libapparmor-dev,
               libbtrfs-dev,
               libdevmapper-dev,
               libglib2.0-dev,
               libsubid-dev
Homepage: https://github.com/containers/podman
Vcs-Browser: https://salsa.debian.org/go-team/packages/podman
Vcs-Git: https://salsa.debian.org/go-team/packages/podman.git
XS-Go-Import-Path: github.com/containers/podman

Package: podman
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: conmon,
         crun | runc,
         golang-github-containers-common,
         netavark,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: buildah (>= 1.31),
            ca-certificates,
            catatonit | tini | dumb-init,
            containers-storage,
            criu,
            dbus-user-session,
            libcriu2,
            passt,
            slirp4netns,
            uidmap,
            ${misc:Recommends}
Suggests: containernetworking-plugins,
          docker-compose,
          iptables,
          ${misc:Suggests}
Description: tool to manage containers and pods
 Podman (the POD MANager) is a tool for managing containers and images, volumes
 mounted into those containers, and pods made from groups of containers.
 .
 At a high level, the scope of Podman and libpod is the following:
  * Support for multiple container image formats, including OCI and Docker
    images.
  * Full management of those images, including pulling from various sources
    (including trust and verification), creating (built via Containerfile or
    Dockerfile or committed from a container), and pushing to registries and
    other storage backends.
  * Full management of container lifecycle, including creation (both from an
    image and from an exploded root filesystem), running, checkpointing and
    restoring (via CRIU), and removal.
  * Full management of container networking, using Netavark.
  * Support for pods, groups of containers that share resources and are managed
    together.
  * Support for running containers and pods without root or other elevated
    privileges.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface, which can both run
    containers locally and on remote systems.
  * No manager daemon, for improved security and lower resource utilization at
    idle.
  * Support for a REST API providing both a Docker-compatible interface and an
    improved interface exposing advanced Podman functionality.
  * Support for running on Windows and Mac via virtual machines run by podman
    machine.
 .
 Podman is a daemon-less alternative to Docker.

Package: podman-docker
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: podman, ${misc:Depends}, ${shlibs:Depends}
Breaks: podman (<< 5.2.1+ds1-3)
Replaces: podman (<< 5.2.1+ds1-3)
Conflicts: docker-ce-cli, docker-cli, docker.io
Recommends: docker-compose
Description: tool to manage containers and pods (Docker CLI)
 Podman (the POD MANager) is a tool for managing containers and images, volumes
 mounted into those containers, and pods made from groups of containers.
 .
 At a high level, the scope of Podman and libpod is the following:
  * Support for multiple container image formats, including OCI and Docker
    images.
  * Full management of those images, including pulling from various sources
    (including trust and verification), creating (built via Containerfile or
    Dockerfile or committed from a container), and pushing to registries and
    other storage backends.
  * Full management of container lifecycle, including creation (both from an
    image and from an exploded root filesystem), running, checkpointing and
    restoring (via CRIU), and removal.
  * Full management of container networking, using Netavark.
  * Support for pods, groups of containers that share resources and are managed
    together.
  * Support for running containers and pods without root or other elevated
    privileges.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface, which can both run
    containers locally and on remote systems.
  * No manager daemon, for improved security and lower resource utilization at
    idle.
  * Support for a REST API providing both a Docker-compatible interface and an
    improved interface exposing advanced Podman functionality.
  * Support for running on Windows and Mac via virtual machines run by podman
    machine.
 .
 Podman is a daemon-less alternative to Docker.
 .
 This package installs a Docker-compatible CLI interface, capable of running
 containers locally and on remote systems.

Package: podman-remote
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool to manage containers and pods (remote CLI)
 Podman (the POD MANager) is a tool for managing containers and images, volumes
 mounted into those containers, and pods made from groups of containers.
 .
 At a high level, the scope of Podman and libpod is the following:
  * Support for multiple container image formats, including OCI and Docker
    images.
  * Full management of those images, including pulling from various sources
    (including trust and verification), creating (built via Containerfile or
    Dockerfile or committed from a container), and pushing to registries and
    other storage backends.
  * Full management of container lifecycle, including creation (both from an
    image and from an exploded root filesystem), running, checkpointing and
    restoring (via CRIU), and removal.
  * Full management of container networking, using Netavark.
  * Support for pods, groups of containers that share resources and are managed
    together.
  * Support for running containers and pods without root or other elevated
    privileges.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface, which can both run
    containers locally and on remote systems.
  * No manager daemon, for improved security and lower resource utilization at
    idle.
  * Support for a REST API providing both a Docker-compatible interface and an
    improved interface exposing advanced Podman functionality.
  * Support for running on Windows and Mac via virtual machines run by podman
    machine.
 .
 Podman is a daemon-less alternative to Docker.
 .
 This package provides a smaller executable, a local client to interact with a
 Podman backend node through a RESTful API tunneled through an SSH connection.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

# cf. https://wiki.debian.org/ToolChain/LTO and https://github.com/golang/go/issues/45275
export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

export GO111MODULE=off

export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_INSTALL_EXTRA := test/e2e/testdata pkg/trust/testdata pkg/machine/compression/testdata

export DH_GOLANG_EXCLUDES := \
	contrib/perftest \
	dependencies \
	hack/podman-registry-go \
	cmd/podman/machine \
	pkg/bindings/test \
	podman/pkg/machine/e2e \
	test/e2e \
	test/endpoint \
	test/framework \
	test/goecho \
	test/testvol \
	test/utils \
	test/version

# machine/qemu only works on amd64, arm64
# set default build target explicitly, rely on dependencies
export DH_GOLANG_BUILDPKG := \
	github.com/containers/podman/cmd/podman \
	github.com/containers/podman/cmd/rootlessport \
	github.com/containers/podman/cmd/quadlet

export DH_GOLANG_TEST_EXCLUDES := $(DH_GOLANG_EXCLUDES) \
	hack \
	lock/file \
	pkg/bindings \
	pkg/machine \
	podman/cmd/podman/common

## https://podman.io/getting-started/installation#build-tags
BUILDTAGS = apparmor seccomp selinux systemd libsubid
BUILDTAGS_REMOTE = remote exclude_graphdriver_btrfs btrfs_noversion exclude_graphdriver_devicemapper containers_image_openpgp

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_output

execute_after_dh_auto_clean:
	# this is in addition to the golang cleanups, and cleans up docs among
	# other things. Use bash, as there is a $(<.gitignore) bashism in there.
	$(MAKE) clean SHELL=/bin/bash

execute_after_dh_auto_configure:
	# install extra source
	install -Dv -t _output/src/github.com/containers/podman/vendor/k8s.io/kubernetes/third_party/forked/golang/expansion debian/expand.go

override_dh_auto_build:
	DH_GOLANG_BUILDPKG="github.com/containers/podman/cmd/podman-testing" \
	dh_auto_build -v  --builddirectory=_output
	$(MAKE) docs docker-docs GOMD2MAN=/usr/bin/go-md2man
	DH_GOLANG_BUILDPKG="github.com/containers/podman/cmd/podman" \
	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS_REMOTE)" \
          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH) \
                    -X github.com/containers/podman/libpod/define.buildOrigin=$(DEB_VENDOR)"
	mv _output/bin/podman _output/bin/podman-remote
	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS)" \
          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH) \
                    -X github.com/containers/podman/libpod/define.buildOrigin=$(DEB_VENDOR)"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# make test binaries available where the tests expect them
	ln -sv  ../../../../bin  _output/src/github.com/containers/podman/bin
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.config
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.local/share
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/run
	env \
	  HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CACHE_HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CONFIG_HOME=$(CURDIR)/debian/tmp-home/.config \
	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
	  PATH="$(CURDIR)/_output/bin:$$PATH" \
	  DH_GOLANG_EXCLUDES="$${DH_GOLANG_TEST_EXCLUDES}" \
	dh_auto_test -v --max-parallel=2 -- -tags "$(BUILDTAGS)"
	rm -rf $(CURDIR)/debian/tmp-home
endif

override_dh_auto_install:
	dh_auto_install \
		--destdir=debian/tmp \
		--buildsystem=golang \
		--builddirectory=_output \
		-- \
		--no-source
	# generate and install systemd unit files, manpages, etc.
	make DESTDIR=debian/tmp PREFIX=/usr LIBDIR=/usr/lib \
		install.systemd install.docker-full install.man

execute_after_dh_installman:
	# installed in the podman-remote package instead
	rm -f --verbose $(CURDIR)/debian/podman/usr/share/man/man1/podman-remote.1*
	# avoid file conflicts with the podman-compose/docker-compose packages, cf. #1054460
	rm -f --verbose $(CURDIR)/debian/podman/usr/share/man/man1/podman-compose.1*
	rm -f --verbose $(CURDIR)/debian/podman-docker/usr/share/man/man1/docker-compose.1*
	# don't ship "dockersh": podmansh is a podman-specific function
	rm -f --verbose $(CURDIR)/debian/podman-docker/usr/share/man/man1/dockersh.1*

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

## podman 5.6.1+ds1

=== debian/changelog ===
podman (5.6.1+ds1-2) unstable; urgency=medium

  * Rebuild against runc 1.3
  * Avoid dependency on conmon runner config
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Sep 2025 21:38:16 -0400

podman (5.6.1+ds1-1) experimental; urgency=medium

  * New upstream version
  * Major additions/rework to Revert-Newer-Docker26.patch
  * Refresh Patches
  * Bump Standards Version

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Sep 2025 06:08:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: podman
 Section: admin
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
            Reinhard Tartler <siretart@tauware.de>,
@@ -15,14 +15,13 @@
                golang-github-buger-goterm-dev,
                golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
                golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
-               golang-github-containers-buildah-dev (>= 1.39.3),
-               golang-github-containers-common-dev (>= 0.62.2),
-               golang-github-containers-conmon-dev,
+               golang-github-containers-buildah-dev (>= 1.41),
+               golang-github-containers-common-dev (>= 0.64),
                golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
-               golang-github-containers-image-dev (>= 5.34.2),
+               golang-github-containers-image-dev (>= 5.36),
                golang-github-containers-ocicrypt-dev,
                golang-github-containers-psgo-dev,
-               golang-github-containers-storage-dev (>= 1.57.2),
+               golang-github-containers-storage-dev (>= 1.59),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-stream-metadata-go-dev,
@@ -48,7 +47,7 @@
                golang-github-onsi-ginkgo-v2-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev (>= 1.1.0),
-               golang-github-opencontainers-runc-dev (>= 1.1.12+ds1-4),
+               golang-github-opencontainers-runc-dev (>= 1.3),
                golang-github-opencontainers-runtime-tools-dev (>= 0.9.0+dfsg-3~),
                golang-github-opencontainers-selinux-dev (>= 1.11~),
                golang-github-rootless-containers-rootlesskit-dev (>> 2),

=== debian/tests/control ===
Tests: builtin-tests
Depends: ca-certificates, passt, slirp4netns, uidmap, @, @builddeps@
Restrictions: allow-stderr, needs-root

Tests: podman-info
Architecture: amd64
Depends: @, @recommends@
Restrictions: allow-stderr, isolation-machine, needs-root

Tests: podman-hello-world
Architecture: amd64
Depends: @, @recommends@
Restrictions: allow-stderr, isolation-machine, needs-internet, skippable

Tests: system-tests
Architecture: amd64
Depends: aardvark-dns,
         apache2-utils,
         bats,
         build-essential,
         containernetworking-plugins,
         curl,
         file,
         ginkgo,
         git,
         golang-go,
         iproute2,
         iptables,
         jq,
         libsystemd-dev,
         ncat,
         netavark,
         passt,
         python3-yaml,
         skopeo,
         slirp4netns,
         socat,
         xfsprogs,
         @,
         @recommends@
Restrictions: allow-stderr,
              isolation-machine,
              needs-internet,
              needs-root,
              rw-build-tree,
              skippable

# Do not add @recommends@, seem to run into https://bugs.debian.org/1088235
Tests: integration-tests-rootful
Architecture: amd64
Depends: aardvark-dns,
         apache2-utils,
         ca-certificates,
         catatonit,
         dbus-user-session,
         git,
         gnupg2,
         iproute2,
         iptables,
         jq,
         ncat,
         netavark,
         passt,
         skopeo,
         slirp4netns,
         uidmap,
         @,
         @builddeps@
Restrictions: allow-stderr, isolation-machine, needs-internet, needs-root, rw-build-tree,

Tests: integration-tests-rootless
Architecture: amd64
Depends: aardvark-dns,
         apache2-utils,
         ca-certificates,
         catatonit,
         containers-storage,
         dbus-user-session,
         git,
         gnupg2,
         iproute2,
         iptables,
         jq,
         ncat,
         netavark,
         passt,
         skopeo,
         slirp4netns,
         uidmap,
         @,
         @builddeps@
Restrictions: allow-stderr, isolation-machine, needs-internet, rw-build-tree, needs-sudo

## podman 5.6.1+ds2

=== debian/changelog ===
podman (5.6.1+ds2-3) unstable; urgency=medium

  * integration-tests-rootful: use $SUDO substitution to fix autopkgtest
  * podman: remove libpod.conf, 87-podman-bridge.conflist on upgrade,
    Closes: #1102908, #1115941
  * Add a NEWS entry for breaking changes in version 5.0.0, Closes: #1115347

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 25 Sep 2025 05:46:01 -0400

podman (5.6.1+ds2-2) unstable; urgency=medium

  * Remove some unneeded maintainer scripts
  * Silence lintian warnings regarding generated makefiles
  * debian/control: Switch to Static-Built-Using
  * system-tests: document as not needing forwarding
  * remove source overrides, no longer needed
  * debian/copyright: Remove uneeded expat,lgtp copyright entries

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Sep 2025 19:02:14 -0400

podman (5.6.1+ds2-1) unstable; urgency=medium

  * Repack to exclude some unneded sources from upstream tarball:
    - windows installer
    - upstream test VM setup scripts
  * integration-tests: increase keyring limits, fixes debci failures
  * debian/NEWS: Fix parsing issues

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Sep 2025 09:48:27 -0400

## podman 5.6.2%2Bds1

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-github-buger-goterm-dev,
                golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
                golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
-               golang-github-containers-buildah-dev (>= 1.41),
+               golang-github-containers-buildah-dev (>= 1.41.5+ds1-2),
                golang-github-containers-common-dev (>= 0.64),
                golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
                golang-github-containers-image-dev (>= 5.36),
@@ -28,7 +28,7 @@
                golang-github-crc-org-crc-dev,
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-digitalocean-go-qemu-dev,
-               golang-github-docker-docker-dev (>> 26.1),
+               golang-github-docker-docker-dev (>> 27.5.1),
                golang-github-docker-go-connections-dev,
                golang-github-docker-go-plugins-helpers-dev,
                golang-github-docker-go-units-dev,
@@ -71,7 +71,7 @@
 
 Package: podman
 Architecture: any
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Depends: conmon,
          crun | runc,
          golang-github-containers-common,
@@ -126,7 +126,7 @@
 
 Package: podman-docker
 Architecture: any
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Depends: podman, ${misc:Depends}, ${shlibs:Depends}
 Breaks: podman (<< 5.2.1+ds1-3)
 Replaces: podman (<< 5.2.1+ds1-3)
@@ -168,7 +168,7 @@
 
 Package: podman-remote
 Architecture: any
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: tool to manage containers and pods (remote CLI)
  Podman (the POD MANager) is a tool for managing containers and images, volumes
